## org.mortbay.html
Class TextArea

    java.lang.Object
      |
      +--org.mortbay.html.Element
            |
            +--org.mortbay.html.Composite
                  |
                  +--org.mortbay.html.Block
                        |
                        +--org.mortbay.html.TextArea

public class TextArea
extends Block

A Text Area within a form.

The text in the textarea is handled by the super class, Text

See Also:
  `Text`

Field Summary

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Element
`ALIGN, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`TextArea(java.lang.String name)`
`TextArea(java.lang.String name, java.lang.String s)`

Method Summary
`TextArea` `setSize(int cols, int lines)`

Methods inherited from class org.mortbay.html.Block
`write`

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextArea

    public TextArea(java.lang.String name)

Parameters:
  `name` - The name of the TextArea within the form

### TextArea

    public TextArea(java.lang.String name,
                    java.lang.String s)

Parameters:
  `name` - The name of the TextArea within the form
  `s` - The string in the text area

Method Detail

### setSize

    public TextArea setSize(int cols,
                            int lines)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.